[Openstack] Energy/Kwapi metering using ceilometer in OpenStack Icehouse

Simon Pasquier pasquier.simon at gmail.com
Thu Oct 9 08:03:41 UTC 2014


Hi,
I'm adding Fran├žois Rossigneux who's the developer of the Kwapi project.
BR
Simon

2014-10-08 18:28 GMT+02:00 Vivek Varghese Cherian <vivekcherian at gmail.com>:

> Hi,
>
> I have a requirement of metering Energy/Kwapi on OpenStack Icehouse using
> ceilometer . I am using Ubuntu 14.04.
>
> I am following the steps mentioned in
> http://blog.zhaw.ch/icclab/collecting-energy-consumption-data-using-kwapi-in-openstack/
>
> When I am trying to install kwapi with the ./setup.py install command I
> get the following error.
>
> root at ice14:~/kwapi-master# ./setup.py install
> Download error on https://pypi.python.org/simple/pbr/: [Errno 110]
> Connection timed out -- Some packages may not be found!
> Couldn't find index page for 'pbr' (maybe misspelled?)
> Download error on https://pypi.python.org/simple/: [Errno 110] Connection
> timed out -- Some packages may not be found!
> No local packages or download links found for pbr>=0.5,<0.6
> Traceback (most recent call last):
>   File "./setup.py", line 22, in <module>
>     d2to1=True)
>   File "/usr/lib/python2.7/distutils/core.py", line 111, in setup
>     _setup_distribution = dist = klass(attrs)
>   File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 239, in
> __init__
>     self.fetch_build_eggs(attrs.pop('setup_requires'))
>   File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 264, in
> fetch_build_eggs
>     replace_conflicting=True
>   File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 620, in
> resolve
>     dist = best[req.key] = env.best_match(req, ws, installer)
>   File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 858, in
> best_match
>     return self.obtain(req, installer) # try and download/install
>   File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 870, in
> obtain
>     return installer(requirement)
>   File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 314, in
> fetch_build_egg
>     return cmd.easy_install(req)
>   File
> "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line
> 610, in easy_install
>     raise DistutilsError(msg)
> distutils.errors.DistutilsError: Could not find suitable distribution for
> Requirement.parse('pbr>=0.5,<0.6')
>
> Icehouse uses pbr version pbr>=0.6,!=0.7,<1.0 and kwapi uses >=0.5,<0.6. I
> have to move to >=0.5,<0.6 which is the common denominator.
>
> Tried removing the pbr ubuntu package and installing a version of pbr
> within 0.5 to 0.6 using pip and a lot of dependencies including OpenStack
> Ubuntu packages for Ceilometer, Neutron and Nova gets removed in the
> process. So this might not be a good way to go about.
>
> Kindly let me know if there is any alternate way to get Ceilometer to
> meter Energy/Kwapi in IceHouse.
>
> Regards,
> --
> Vivek Varghese Cherian
>
> _______________________________________________
> Mailing list:
> http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack
> Post to     : openstack at lists.openstack.org
> Unsubscribe :
> http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.openstack.org/pipermail/openstack/attachments/20141009/4b610e49/attachment.html>


More information about the Openstack mailing list